Skip to main content
PATCH
Update a holiday schedule
A named set of holidays that can be applied to workspace members. This allows different holiday observances per country or region.

Authorizations

Authorization
string
header
required

An API key created in Settings > API Keys. Each key is either Read-Only or Full Access, chosen when the key is created. A Read-Only key can only make GET requests; POST, PATCH, and DELETE requests made with it return a 403 with the message This API key is read-only.

Path Parameters

id
string
required

The holiday schedule uuid.

Body

application/json
name
string

The name of the holiday schedule. Maximum 255 characters.

isActive
boolean

Whether the holiday schedule is active.

holidayIds
string[]

The IDs of holidays to associate with this holiday schedule. Replaces the existing set of holidays.

Response

200

id
string

The unique identifier for the object.

name
string

The name of the holiday schedule.

isActive
boolean

Whether the holiday schedule is active.

createdAt
string<date-time>

The timestamp when the object was created.

holidays
object[]

The list of associated holidays.